
use strict;
use warnings;



use ExtUtils::MakeMaker 6.30;



my %WriteMakefileArgs = (
  "ABSTRACT" => "\346\233\264\346\226\260\343\201\225\343\202\214\343\201\246\343\201\204\343\201\252\343\201\204File::Assets\343\201\253\343\203\242\343\203\263\343\202\255\343\203\274\343\203\221\343\203\203\343\203\201\343\202\222\343\201\202\343\201\246\343\201\276\343\201\231",
  "AUTHOR" => "Tomohiro Hosaka <bokutin\@bokut.in>",
  "BUILD_REQUIRES" => {},
  "CONFIGURE_REQUIRES" => {
    "ExtUtils::MakeMaker" => "6.30"
  },
  "DISTNAME" => "File-Assets-ButMaintained",
  "EXE_FILES" => [],
  "LICENSE" => "restrictive",
  "NAME" => "File::Assets::ButMaintained",
  "PREREQ_PM" => {
    "File::Assets" => 0
  },
  "TEST_REQUIRES" => {},
  "VERSION" => "0.133070",
  "test" => {
    "TESTS" => "t/*.t"
  }
);


unless ( eval { ExtUtils::MakeMaker->VERSION(6.63_03) } ) {
  my $tr = delete $WriteMakefileArgs{TEST_REQUIRES};
  my $br = $WriteMakefileArgs{BUILD_REQUIRES};
  for my $mod ( keys %$tr ) {
    if ( exists $br->{$mod} ) {
      $br->{$mod} = $tr->{$mod} if $tr->{$mod} > $br->{$mod};
    }
    else {
      $br->{$mod} = $tr->{$mod};
    }
  }
}

unless ( eval { ExtUtils::MakeMaker->VERSION(6.56) } ) {
  my $br = delete $WriteMakefileArgs{BUILD_REQUIRES};
  my $pp = $WriteMakefileArgs{PREREQ_PM};
  for my $mod ( keys %$br ) {
    if ( exists $pp->{$mod} ) {
      $pp->{$mod} = $br->{$mod} if $br->{$mod} > $pp->{$mod};
    }
    else {
      $pp->{$mod} = $br->{$mod};
    }
  }
}

delete $WriteMakefileArgs{CONFIGURE_REQUIRES}
  unless eval { ExtUtils::MakeMaker->VERSION(6.52) };

WriteMakefile(%WriteMakefileArgs);



